Get schedule
Read scheduled time for a day, by employee.
GET https://cotlet.dev/api/v1/simpro/schedule
read
Returns the schedule blocks for one day with employee, job or quote, cost centre and start and end times. Pass an employee to read one person. Read only.
Parameters
| Name | Type | Description |
|---|---|---|
| date string required | string | ISO date. |
| employee_id integer | integer | Only this employee. |
Request
curl "https://cotlet.dev/api/v1/simpro/schedule?date=date" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("simpro", "get_schedule", {"date":"date"}) const result = await cotlet.call('simpro', 'get_schedule', {"date":"date"}); cotlet call simpro get_schedule --data '{"date":"date"}' Example response
{
"date": "2026-10-17",
"blocks": [
{
"schedule_id": 66101,
"employee": "Sam Ortiz",
"job_id": 20871,
"cost_centre": "Plumbing",
"start": "08:00",
"end": "11:30"
}
]
}